<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : pets.xsl
    Created on : 1. dubna 2015, 13:10
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/pet-owners">
        <html>
            <head>
                <title>Pets and its owner</title>
            </head>
            <body>
                <xsl:apply-templates mode="menu"/>
                <hr/>
                <h1>Majitele</h1>
                <xsl:apply-templates select="ovners" mode="content"/>
                <hr/>
                <h1>Zviratka</h1>
                <xsl:apply-templates select="pets" mode="content"/>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="owners" mode="menu">
        <xsl:apply-templates mode="menu"/>
    </xsl:template>
    <xsl:template match="pets" mode="menu"/>
    <xsl:template match="owner" mode="menu">
        <xsl:element name="a">
            <xsl:attribute name="href">#<xsl:value-of select="./@id"/></xsl:attribute>
           <!-- <xsl:value-of select="name[0]"/> <xsl:value-of select="name[1]"/>-->
           <xsl:value-of select="name"/>
        </xsl:element>
    </xsl:template>
    <!--<xsl:template match="owners">
        <xsl:apply-templates/>
    </xsl:template>-->
    <xsl:template match="owner" mode="content">
        <h2><div class="name">
            <xsl:value-of select="name"/>
        </div></h2>
        <div class="pets">
            <h3><xsl:apply-templates select="./animals/animal" mode="content"/></h3>
        </div>
    </xsl:template>
    <xsl:template match="animal" mode="content">
        <xsl:element name="a">
            <xsl:variable name="petId" select="./@id"/>
            <xsl:attribute name="href">#<xsl:value-of select="./@id"/></xsl:attribute>
            <xsl:value-of select="//pets/pet[$petId=./@id]/name"/>
        </xsl:element><br/>
    </xsl:template>
    
    <xsl:template match="pet" mode="content">
        <h2><xsl:value-of select="./name"/></h2>
        <xsl:element name="a">
            <xsl:attribute name="name"><xsl:value-of select="./@id"/></xsl:attribute>
        </xsl:element>
        <span class="bold">Druh: </span><xsl:value-of select="./animal"/>
    </xsl:template>
</xsl:stylesheet>
