<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : pets.xsl
    Created on : 1. dubna 2015, 13:10
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/pet-owners">
        <html>
            <head>
                <title>Pets and its owner</title>
            </head>
            <body>
                <xsl:apply-templates mode="menu"/>
                <hr/>
                <xsl:apply-templates />
            </body>
        </html>
    </xsl:template>
    <xsl:template match="owners" mode="menu">
        <xsl:apply-templates mode="menu"/>
    </xsl:template>
    <xsl:template match="pets" mode="menu"/>
    <xsl:template match="owner" mode="menu">
        <xsl:element name="a">
            <xsl:attribute name="href">#<xsl:value-of select="./@id"/></xsl:attribute>
            <xsl:value-of select="name[0]"/> <xsl:value-of select="name[1]"/>
        </xsl:element>
    </xsl:template>
    <xsl:template matcht="owner">
        <div class="name">
            <xsl:value-of select="name"/>
        </div>
        <div class="pets">
            <xsl:apply-templates select="animals"/>
        </div>
    </xsl:template>
    <xsl:template match="animal[0]">
        <xsl:element name="a">
            <xsl:attribute name="href">#<xsl:value-of select="./@id"/></xsl:attribute>
            <xsl:value-of select="//pet[@id=./@id]"/>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>
